import Vue from 'vue';
import VueI18n from 'vue-i18n';
Vue.use(VueI18n);

const messages = {
    'en': {
        $vuetify: {
            dataTable: {
                itemsPerPageText: 'منستیبمتن سمکنیتب '
            }
        },
        Login: {
            loginHeader: 'Login',
            registerBtn: 'Register',
            username: 'username',
            password: 'password',
            loginBtn: 'login',
            passwordHint: 'At Least 8 characters',
            required: 'Required',
            min8Character: 'Min 8 Characters',
            usernameAlert: 'please enter username',
            passwordAlert: 'please enter password',
            errorUserNotFound: 'User not found',
            errorIncorrectPassword: 'Incorrect Password'
        },
        Register: {
            registerHeader: 'Register',
            loginBtn: 'login',
            username: 'username',
            password: 'password',
            repeatPassword: 'repeat password',
            registerBtn: 'Register And Login',
            required: 'Required',
            min8Character: 'Min 8 Characters',
            matchPass: "password and repeat passwords must be the same",
            usernameAlert: 'please enter username',
            firstPassAlert: 'please enter password',
            secondPassAlert: 'please enter password',
            error403: 'Username already exists',
            loadingText: 'creating user',
            userCreated: 'user has been Created'
        },
        AppHeader: {
            appName: 'Karname',
        },
        AppFooter: {
            appLang: 'en',
        }


    },
    'fa': {
        Login: {
            loginHeader: 'ورود کاربر',
            registerBtn: 'ثبت نام',
            username: 'نام کاربری',
            password: 'رمز ورود',
            loginBtn: 'ورود',
            passwordHint: 'حداقل 8 کاراکتر',
            required: 'مورد نیاز',
            min8Character: 'حداقل 8 کاراکتر',
            usernameAlert: 'لطفا نام کاربری را وارد نمایید',
            passwordAlert: 'لطفا رمز ورود را وارد نمایید',
            errorUserNotFound: 'کاربر یافت نشد',
            errorIncorrectPassword: 'رمز نادرست'
        },
        Register: {
            registerHeader: 'ثبت نام کاربر',
            loginBtn: 'ورود',
            username: 'نام کاربری',
            password: 'رمز ورود',
            repeatPassword: 'تکرار رمز ورود',
            registerBtn: 'ثبت نام و ورود',
            required: 'مورد نیاز',
            min8Character: 'حداقل 8 کاراکتر',
            matchPass: "رمز عبور و تکرار آن باید مشابه باشند",
            usernameAlert: 'لطفا نام کاربری را وارد نمایید',
            firstPassAlert: 'لطفا رمز را وارد نمایید',
            secondPassAlert: 'لطفا رمز را وارد نمایید',
            error403: 'نام کاربری وجود دارد',
            loadingText: 'در حال ایجاد کاربر',
            userCreated: 'کاربر ایجاد شد'
        },
        AppHeader: {
            appName: 'کارنامه',
        },
        AppFooter: {
            appLang: 'فا',
        }

    }
};

const i18n = new VueI18n({
    locale: 'en', // set locale    
    fallbackLocale: 'fa', // set fallback locale    
    messages, // set locale messages
});

export default i18n;